Package net.rubygrapefruit.platform

# Enum Class WindowsRegistry.Key

java.lang.Object
java.lang.Enum<WindowsRegistry.Key>
net.rubygrapefruit.platform.WindowsRegistry.Key

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowsRegistry.Key>`, `Constable`

Enclosing interface:
  `WindowsRegistry`

public static enum WindowsRegistry.Key extends Enum<WindowsRegistry.Key>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HKEY_CURRENT_USER`
`HKEY_LOCAL_MACHINE`

## Method Summary

Modifier and Type
Method
Description
`static WindowsRegistry.Key`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WindowsRegistry.Key[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HKEY_LOCAL_MACHINE

public static final WindowsRegistry.Key HKEY_LOCAL_MACHINE

### HKEY_CURRENT_USER

public static final WindowsRegistry.Key HKEY_CURRENT_USER

## Method Details

### values

public static WindowsRegistry.Key[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WindowsRegistry.Key valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null